ReferencesOpenapiLeads
Update a lead
Update the provided fields for a lead in the specified organisation and workspace.
Authorization
ApiKeyAuth x-api-key<token>
API key for authentication
In: header
Path Parameters
workspaceId*integer
Range
0 < value <= 9007199254740991leadId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$orgId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/organisation/string/workspace/1/origination/lead/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "referenceId": "string", "status": "string", "firstName": "string", "lastName": "string", "middleName": "string", "email": "string", "phone": "string", "externalSource": "string", "externalId": "string", "followUpDate": "string", "assigneeIds": [ "string" ], "contactId": "string", "contactReferenceId": "string", "createdAt": "string", "createdBy": "string", "deletedAt": "string", "deletedBy": "string", "lastUpdatedAt": "string", "lastUpdatedBy": "string", "lastIngestAt": "string", "notes": "string"}
